<?
// config.php zu 1.6 2007-10-31.Helloween

// Verschiedenes
$recordcounter = 0;
$divcounter = 1;

// M740 Receiver im Netzwerk, in Array durchnumeriert
//   host = Netzwerkname der Box, Hostname
//   ip   = IP-Adresse der Box
//   mac  = MAC-Adresse der Box (aus Menue -> Infos) mit ":", "-" oder ohne
//   name = Anzeigename der Box ("M740 WoZi", "Box Schlafzimmer" etc.)
$receiver_data[0]['host'] = "video-unten";
$receiver_data[0]['ip']   = "192.168.129.100";
$receiver_data[0]['mac']  = "00:01:E3:FA:B8:A2";
$receiver_data[0]['name']  = "Receiver unten";
$receiver_data[1]['host'] = "video-oben";
$receiver_data[1]['ip']   = "192.168.129.101";
$receiver_data[1]['mac']  = "00:01:E3:FA:F8:42";
$receiver_data[1]['name']  = "Receiver oben";

// Zeitzone dieses Servers aus /usr/share/zoneinfo
$my_timezone = "Europe/Berlin";

// Freigegebenes Aufnahme-Verzeichnis fuer die M7(4|5)0 Receiver
$dir_video = "/data/videorecorder/";

// Verzeichnis mit Senderlogos relativ zum PHP-Skript
$dir_logos = "senderlogos/";

// Lokale Liste der Sender (/var/etc/services.txt auf M7(4|5)0)
// Am besten durch cron-Job taeglich auf diesen host kopieren
$station_file = "/var/www/localhost/htdocs/services.txt";

// Zugriff auf Ausnahmedateien ueber HTTP-/FTP-Server
$dl_files = true;
$dl_prot = "http";
$dl_host = $_SERVER['SERVER_NAME'];
$dl_port = 81;
$dl_base = $dl_prot."://".$dl_host.":".$dl_port."/";

// Farben fuer Text im HTML
$text_color_normal = "#808080";
$text_color_bright = "#b0b0b0";
$text_color_white = "#ffffff";
$text_color_green = "#00b000";
$text_color_green_bright = "#00ff00";
$text_color_red = "#b00000";
$text_color_red_bright = "#ff0000";
$text_color_background = "#000000";
$text_color_link = "#b0b0b0";
$text_color_vlink = "#b0b0b0";
$text_color_alink = "#b0b0b0";

// Wechselnde Farben fuer Hintergrund der Tabellen-Zeilen (Aufnahmen-Liste)
$color_even = "#303030";
$color_odd  = "#202020";
$color = "odd";

// Wechselnde Farben fuer Hintergrund der Tabellen-Zeilen (Aufnahme-Details)
$color_in_even = "#282828";
$color_in_odd  = "#202020";
$color_in = "odd";

// Tabellen-Einstellungen
$table_width   = "100%";
$table_border  = 0;
$table_padding = 2;
$table_spacing = 2;
$table_width_details = "100%";
$table_border_details  = 0;
$table_padding_details = 1;
$table_spacing_details = 1;

// Standard-Font
$default_font   = "<font face=\"verdana\" size=\"2\" color=\"".$text_color_normal."\">";
$default_font_2 = "<font face=\"verdana\" size=\"4\" color=\"".$text_color_normal."\">";

// Kein EPG-Text
$no_epg_text = "<i>Kein EPG-Text verf&uuml;gbar.</i>";

// Nutzung in rot ab wieviel Prozent
$usage_percent_warn = 90;

// Gesamter und freier Platz
$dir_video_total_bytes = disk_total_space($dir_video);
$dir_video_free_bytes = disk_free_space($dir_video);
$dir_video_percent_free = ($dir_video_free_bytes / $dir_video_total_bytes);
$dir_video_percent_used = (($dir_video_total_bytes - $dir_video_free_bytes) / $dir_video_total_bytes);

// Farben fuer Nutzungs%-Warnung
if ( $dir_video_percent_used <= $usage_percent_warn ) {
   $color_video_free = $text_color_green;
   $color_video_used = $text_color_green;
} else {
   $color_video_free = $text_color_red_bright;
   $color_video_used = $text_color_red_bright;
}

// "<blink>"+"</blink>" ist nicht jedermann's Sache.
// "<b>"+"</b>" oder "<i>"+"</i>" tut's aber auch...
$string_recording_start = "<blink>";
$string_recording_end = "</blink>";

// Sperr-Flag in .crid-Dateien
//   0 = Nicht gesperrt
//   1 = Gesperrt
$string_locked_0 = "Gesperrt: <font color=\"".$text_color_normal."\"><b>Nein</b></font>";
$string_locked_1 = "Gesperrt: <font color=\"".$text_color_red_bright."\"><b>Ja</b></font>";

// Status einer Aufnahme
//   0 = Unbekannt
//   1 = noch nicht aufgenommen
//   2 = Bei der Aufnahme
//   3 = fertig aufgenommen
//   4 = Aufnahmefehler
//   5 = Abgebrochen
//   6 = Aufnahmekonflikt
//   9 = Geloeschte Serienfolge
$string_progress_0 = "Status: <font color=\"".$text_color_normal."\"><b>Unbekannt</b></font>";
$string_progress_1 = "Status: <font color=\"".$text_color_normal."\"><b>In Zukunft</b></font>";
$string_progress_2 = "Status: <font color=\"".$text_color_green_bright."\"><b>".$string_recording_start."L&auml;uft".$string_recording_end."</b></font>";
$string_progress_3 = "Status: <font color=\"".$text_color_green."\"><b>Fertig</b></font>";
$string_progress_4 = "Status: <font color=\"".$text_color_red_bright."\"><b>Fehler</b></font>";
$string_progress_5 = "Status: <font color=\"".$text_color_red_bright."\"><b>Abgebrochen</b></font>";
$string_progress_6 = "Status: <font color=\"".$text_color_red_bright."\"><b>Aufnahmekonflikt</b></font>";
$string_progress_9 = "Status: <font color=\"".$text_color_red_bright."\"><b>Gel&ouml;schte Serienfolge</b></font>";

// Typ einer Aufnahme
//   0  = Unbekannt
//   1  = EPG-Aufnahme
//   2  = frei programmierte Aufnahme
//   4  = EPG Serienaufnahe
//   8  = Timer Serienaufnahme
//   32 = manuelle Aufnahme
$string_record_type_0  = "Typ: <font color=\"#808080\"><b>unbekannt</b></font>";
$string_record_type_1  = "Typ: <font color=\"#808080\"><b>EPG-Aufnahme</b></font>";
$string_record_type_2  = "Typ: <font color=\"#808080\"><b>Frei programmiert</b></font>";
$string_record_type_4  = "Typ: <font color=\"#808080\"><b>EPG Serienaufnahme</b></font>";
$string_record_type_8  = "Typ: <font color=\"#808080\"><b>Timer Serienaufnahme</b></font>";
$string_record_type_32 = "Typ: <font color=\"#808080\"><b>Manuelle Aufnahme</b></font>";
?>
